Subject: Re: [PATCH 4/6] vlan: Optimize multiple unregistration

From: Patrick McHardy <[email-masked]>
Date: Thu, 29 Oct 2009 18:25:20 +0100

Eric Dumazet wrote:
> Patrick McHardy a écrit :
> 
>> Indeed, but unregister_vlan_dev() destroys the group once the
>> count has reached zero, so we must not access it after that.
> 
> Well, I hoped call_rcu() callback doesnt fire and kfree(grp) until we exited
> from unregister_vlan_dev_alls(), with RTNL locked...

The RTNL is a mutex, so it shouldn't prevent call_rcu from firing.